<!DOCTYPE html>
<html lang="pl-PL">
<%- include('../partials/_head.ejs') %>
<body>
  <style>
    #editButton {
        padding: 10px;
        width: 110px;
        background-color: transparent;
        color: #0984e3;
        border-radius: 25px;
        text-decoration: none;
        border: 1px solid #0984e3;
        transition: 0.2s ease-in-out;
    }
    #editButton:hover {
        background-color: #0984e3;
        color: azure;
    }
    #deleteButton {
        padding: 10px;
        width: 110px;
        background-color: transparent;
        color: #d63031;
        border-radius: 25px;
        text-decoration: none;
        border: 1px solid #d63031;
        transition: 0.2s ease-in-out;
    }
    #deleteButton:hover {
        background-color: #d63031;
        color: azure;
    }
  </style>
<%- include('../partials/_header.ejs') %>
<main role="main" class="container mt-4">
  <h2>Szczegóły zadania</h2>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><%= task.title %></h5>
      <h6 class="card-subtitle mb-2 text-muted">
        Priorytet: 
        <%= (function(priority) {
              switch(priority) {
                case 'Low': return 'Niski';
                case 'Medium': return 'Średni';
                case 'High': return 'Wysoki';
                default: return priority;
              }
            })(task.priority) %>
      </h6>
      <p class="card-text"><%= task.description %></p>
      <p class="card-text">Przypisane do: <%= task.assignedTo.username %></p>
      <p class="card-text">Data rozpoczęcia: <%= task.startDate ? task.startDate.toLocaleString('pl-PL', { year: 'numeric', month: 'short', day: 'numeric', hour: '2-digit', minute: '2-digit' }) : 'Nie określona' %></p>
      <p class="card-text">Data zakończenia: <%= task.endDate ? task.endDate.toLocaleString('pl-PL', { year: 'numeric', month: 'short', day: 'numeric', hour: '2-digit', minute: '2-digit' }) : 'Nie określona' %></p>
      <p class="card-text">Czas trwania: <%= task.duration %> godzin</p>
      <p class="card-text">Tagi: <%= task.tags.join(', ') %></p>
      <p class="card-text">Umowna data zakończenia audytu/projektu/usługi: <%= task.projectHandover ? task.projectHandover.toLocaleString('pl-PL', { year: 'numeric', month: 'short', day: 'numeric' }) : 'Nie określona' %></p>
      <p class="card-text">Data rozpoczęcia realizacji audytu/projektu/usługi: <%= task.notEarlierThan ? task.notEarlierThan.toLocaleString('pl-PL', { year: 'numeric', month: 'short', day: 'numeric', hour: '2-digit', minute: '2-digit' }) : 'Nie określone' %></p>
      <p class="card-text">Ukończone: <%= task.completed ? 'Tak' : 'Nie' %></p>
      <% if (session && (session.userId === task.assignedTo._id.toString() || session.role === 'Admin' || session.role === 'Manager')) { %>
      <br>
      <a href="/tasks/edit/<%= task._id %>" class="card-link" id="editButton">Edytuj zadanie</a>
      <a href="#" class="card-link delete-task-link" data-task-id="<%= task._id %>" id="deleteButton">Usuń Zadanie</a>
      <% } %>
    </div>
  </div>
</main>
<script>
  document.addEventListener('DOMContentLoaded', function() {
    document.querySelectorAll('.delete-task-link').forEach(function(link) {
      link.addEventListener('click', function(event) {
        event.preventDefault();
        const taskId = link.getAttribute('data-task-id');
        if (confirm('Czy na pewno chcesz usunąć to zadanie?')) {
          fetch('/tasks/delete/' + taskId, {
            method: 'DELETE'
          })
          .then(response => {
            if (response.ok) {
              alert('Zadanie zostało pomyślnie usunięte');
              window.location.href = '/tasks'; // Przekierowanie do listy zadań lub innej odpowiedniej strony
            } else {
              throw new Error('Nie udało się usunąć zadania');
            }
          })
          .catch(error => {
            console.error('Błąd podczas usuwania zadania:', error);
            alert('Wystąpił błąd podczas usuwania zadania');
          });
        }
      });
    });
  });
</script>
</body>
<%- include('../partials/_footer.ejs') %>
</html>
